CVE-1999-0346
CVSS5.0
发布时间 :1997-10-16 00:00:00
修订时间 :2008-09-09 08:34:18
NMCO    

[原文]CGI PHP mlog script allows an attacker to read any file on the target server.


[CNNVD]PHP/FI 1.0/2.0示例脚本远程读取任意文件漏洞(CNNVD-199710-015)

        
        PHP/FI 是一种CGI语言,是PHP的前身。早期版本的PHP/FI中自带了一些例程文件。
        其中某些例程文件存在安全问题,可导致本地文件泄漏。
        mylog.phtml和mlog.phtml是和早期有PHP一起发布的一个例子脚本。由于未对用户输入做充分过滤,攻击者可以利用它读取服务器上任意它有权限读取的文件。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-0346
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-0346
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199710-015
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/713
(UNKNOWN)  BID  713
http://www.osvdb.org/3397
(UNKNOWN)  OSVDB  3397

- 漏洞信息

PHP/FI 1.0/2.0示例脚本远程读取任意文件漏洞
中危 其他
1997-10-16 00:00:00 2005-05-02 00:00:00
远程  
        
        PHP/FI 是一种CGI语言,是PHP的前身。早期版本的PHP/FI中自带了一些例程文件。
        其中某些例程文件存在安全问题,可导致本地文件泄漏。
        mylog.phtml和mlog.phtml是和早期有PHP一起发布的一个例子脚本。由于未对用户输入做充分过滤,攻击者可以利用它读取服务器上任意它有权限读取的文件。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 删除mylog.phtml和mlog.phtml。
        厂商补丁:
        PHP
        ---
        目前PHP/FI已不被支持,可以使用最新的PHP,请到厂商的主页下载:
        
        http://www.php.net

- 漏洞信息

3397
PHP mlog.html screen Parameter Arbitrary File Access
Remote / Network Access

- 漏洞描述

PHP/FI contains a flaw that allows a remote attacker to view arbitray files. The issue is due to the "mlog.html" sample script not sanitizing input passed to the "screen" variable. By supplying a fully qualified path and filename, the script will return the contents of the file.

- 时间线

1997-10-19 Unknow
1997-10-19 Unknow

- 解决方案

Upgrade to version 3.0 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站